const FinalFantasyTacticsMod = require('../../classes/modClass.js');

class mod extends FinalFantasyTacticsMod {
	
	commandLineModFunctions = [
		{
			func: "patch",
			alt: ["patch","p"]
		}
	];
	
	patch() {
		
		this.game.modImg.createDirectory('MAP/KORI_ALT');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP002.GNS', { 'MAP/MAP002.54': 'MAP/KORI_ALT/MAP002.54', 'MAP/MAP002.55': 'MAP/KORI_ALT/MAP002.55', 'MAP/MAP002.74': 'MAP/KORI_ALT/MAP002.74', 'MAP/MAP002.75': 'MAP/KORI_ALT/MAP002.75', 'MAP/MAP002.8': 'MAP/KORI_ALT/MAP002.8', 'MAP/MAP002.82': 'MAP/KORI_ALT/MAP002.82', 'MAP/MAP002.83': 'MAP/KORI_ALT/MAP002.83', 'MAP/MAP002.9': 'MAP/KORI_ALT/MAP002.9', 'MAP/MAP002.90': 'MAP/KORI_ALT/MAP002.90', 'MAP/MAP002.91': 'MAP/KORI_ALT/MAP002.91' });
		this.game.bindMapID(2, 'MAP/KORI_ALT/MAP002.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP003.GNS', { 'MAP/MAP003.8': 'MAP/KORI_ALT/MAP003.8', 'MAP/MAP003.9': 'MAP/KORI_ALT/MAP003.9' });
		this.game.bindMapID(3, 'MAP/KORI_ALT/MAP003.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP005.GNS', { 'MAP/MAP005.7': 'MAP/KORI_ALT/MAP005.7', 'MAP/MAP005.8': 'MAP/KORI_ALT/MAP005.8' });
		this.game.bindMapID(5, 'MAP/KORI_ALT/MAP005.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP006.GNS', { 'MAP/MAP006.11': 'MAP/KORI_ALT/MAP006.11', 'MAP/MAP006.12': 'MAP/KORI_ALT/MAP006.12', 'MAP/MAP006.31': 'MAP/KORI_ALT/MAP006.31', 'MAP/MAP006.49': 'MAP/KORI_ALT/MAP006.49', 'MAP/MAP006.50': 'MAP/KORI_ALT/MAP006.50' });
		this.game.bindMapID(6, 'MAP/KORI_ALT/MAP006.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP007.GNS', { 'MAP/MAP007.8': 'MAP/KORI_ALT/MAP007.8', 'MAP/MAP007.9': 'MAP/KORI_ALT/MAP007.9' });
		this.game.bindMapID(7, 'MAP/KORI_ALT/MAP007.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP010.GNS', { 'MAP/MAP010.8': 'MAP/KORI_ALT/MAP010.8', 'MAP/MAP010.9': 'MAP/KORI_ALT/MAP010.9' });
		this.game.bindMapID(10, 'MAP/KORI_ALT/MAP010.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP012.GNS', { 'MAP/MAP012.10': 'MAP/KORI_ALT/MAP012.10', 'MAP/MAP012.14': 'MAP/KORI_ALT/MAP012.14', 'MAP/MAP012.15': 'MAP/KORI_ALT/MAP012.15', 'MAP/MAP012.19': 'MAP/KORI_ALT/MAP012.19', 'MAP/MAP012.20': 'MAP/KORI_ALT/MAP012.20', 'MAP/MAP012.24': 'MAP/KORI_ALT/MAP012.24', 'MAP/MAP012.25': 'MAP/KORI_ALT/MAP012.25', 'MAP/MAP012.26': 'MAP/KORI_ALT/MAP012.26', 'MAP/MAP012.30': 'MAP/KORI_ALT/MAP012.30', 'MAP/MAP012.31': 'MAP/KORI_ALT/MAP012.31', 'MAP/MAP012.35': 'MAP/KORI_ALT/MAP012.35', 'MAP/MAP012.36': 'MAP/KORI_ALT/MAP012.36', 'MAP/MAP012.40': 'MAP/KORI_ALT/MAP012.40', 'MAP/MAP012.41': 'MAP/KORI_ALT/MAP012.41', 'MAP/MAP012.8': 'MAP/KORI_ALT/MAP012.8', 'MAP/MAP012.9': 'MAP/KORI_ALT/MAP012.9' });
		this.game.bindMapID(12, 'MAP/KORI_ALT/MAP012.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP013.GNS', { 'MAP/MAP013.8': 'MAP/KORI_ALT/MAP013.8', 'MAP/MAP013.9': 'MAP/KORI_ALT/MAP013.9' });
		this.game.bindMapID(13, 'MAP/KORI_ALT/MAP013.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP016.GNS', { 'MAP/MAP016.8': 'MAP/KORI_ALT/MAP016.8', 'MAP/MAP016.9': 'MAP/KORI_ALT/MAP016.9', 'MAP/MAP016.31': 'MAP/KORI_ALT/MAP016.31', 'MAP/MAP016.42': 'MAP/KORI_ALT/MAP016.42', 'MAP/MAP016.43': 'MAP/KORI_ALT/MAP016.43' });
		this.game.bindMapID(16, 'MAP/KORI_ALT/MAP016.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP017.GNS', { 'MAP/MAP017.9': 'MAP/KORI_ALT/MAP017.9', 'MAP/MAP017.10': 'MAP/KORI_ALT/MAP017.10' });
		this.game.bindMapID(17, 'MAP/KORI_ALT/MAP017.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP019.GNS', { 'MAP/MAP019.7': 'MAP/KORI_ALT/MAP019.7', 'MAP/MAP019.8': 'MAP/KORI_ALT/MAP019.8' });
		this.game.bindMapID(19, 'MAP/KORI_ALT/MAP019.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP022.GNS', { 'MAP/MAP022.8': 'MAP/KORI_ALT/MAP022.8', 'MAP/MAP022.9': 'MAP/KORI_ALT/MAP022.9' });
		this.game.bindMapID(22, 'MAP/KORI_ALT/MAP022.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP025.GNS', { 'MAP/MAP025.7': 'MAP/KORI_ALT/MAP025.7', 'MAP/MAP025.8': 'MAP/KORI_ALT/MAP025.8' });
		this.game.bindMapID(25, 'MAP/KORI_ALT/MAP025.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP027.GNS', { 'MAP/MAP027.7': 'MAP/KORI_ALT/MAP027.7', 'MAP/MAP027.8': 'MAP/KORI_ALT/MAP027.8' });
		this.game.bindMapID(27, 'MAP/KORI_ALT/MAP027.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP031.GNS', { 'MAP/MAP031.7': 'MAP/KORI_ALT/MAP031.7', 'MAP/MAP031.8': 'MAP/KORI_ALT/MAP031.8' });
		this.game.bindMapID(31, 'MAP/KORI_ALT/MAP031.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP032.GNS', { 'MAP/MAP032.8': 'MAP/KORI_ALT/MAP032.8', 'MAP/MAP032.9': 'MAP/KORI_ALT/MAP032.9' });
		this.game.bindMapID(32, 'MAP/KORI_ALT/MAP032.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP034.GNS', { 'MAP/MAP034.6': 'MAP/KORI_ALT/MAP034.6', 'MAP/MAP034.7': 'MAP/KORI_ALT/MAP034.7' });
		this.game.bindMapID(34, 'MAP/KORI_ALT/MAP034.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP035.GNS', { 'MAP/MAP035.7': 'MAP/KORI_ALT/MAP035.7', 'MAP/MAP035.8': 'MAP/KORI_ALT/MAP035.8' });
		this.game.bindMapID(35, 'MAP/KORI_ALT/MAP035.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP036.GNS', { 'MAP/MAP036.45': 'MAP/KORI_ALT/MAP036.45', 'MAP/MAP036.46': 'MAP/KORI_ALT/MAP036.46' });
		this.game.bindMapID(36, 'MAP/KORI_ALT/MAP036.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP040.GNS', { 'MAP/MAP040.10': 'MAP/KORI_ALT/MAP040.10', 'MAP/MAP040.9': 'MAP/KORI_ALT/MAP040.9' });
		this.game.bindMapID(40, 'MAP/KORI_ALT/MAP040.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP044.GNS', { 'MAP/MAP044.7': 'MAP/KORI_ALT/MAP044.7', 'MAP/MAP044.8': 'MAP/KORI_ALT/MAP044.8' });
		this.game.bindMapID(44, 'MAP/KORI_ALT/MAP044.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP049.GNS', { 'MAP/MAP049.7': 'MAP/KORI_ALT/MAP049.7', 'MAP/MAP049.8': 'MAP/KORI_ALT/MAP049.8' });
		this.game.bindMapID(49, 'MAP/KORI_ALT/MAP049.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP050.GNS', { 'MAP/MAP050.7': 'MAP/KORI_ALT/MAP050.7', 'MAP/MAP050.8': 'MAP/KORI_ALT/MAP050.8' });
		this.game.bindMapID(50, 'MAP/KORI_ALT/MAP050.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP052.GNS', { 'MAP/MAP052.10': 'MAP/KORI_ALT/MAP052.10', 'MAP/MAP052.9': 'MAP/KORI_ALT/MAP052.9' });
		this.game.bindMapID(52, 'MAP/KORI_ALT/MAP052.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP054.GNS', { 'MAP/MAP054.7': 'MAP/KORI_ALT/MAP054.7', 'MAP/MAP054.8': 'MAP/KORI_ALT/MAP054.8' });
		this.game.bindMapID(54, 'MAP/KORI_ALT/MAP054.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP055.GNS', { 'MAP/MAP055.12': 'MAP/KORI_ALT/MAP055.12', 'MAP/MAP055.13': 'MAP/KORI_ALT/MAP055.13', 'MAP/MAP055.14': 'MAP/KORI_ALT/MAP055.14', 'MAP/MAP055.15': 'MAP/KORI_ALT/MAP055.15' });
		this.game.bindMapID(55, 'MAP/KORI_ALT/MAP055.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP056.GNS', { 'MAP/MAP056.26': 'MAP/KORI_ALT/MAP056.26', 'MAP/MAP056.27': 'MAP/KORI_ALT/MAP056.27', 'MAP/MAP056.47': 'MAP/KORI_ALT/MAP056.47', 'MAP/MAP056.48': 'MAP/KORI_ALT/MAP056.48' });
		this.game.bindMapID(56, 'MAP/KORI_ALT/MAP056.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP057.GNS', { 'MAP/MAP057.8': 'MAP/KORI_ALT/MAP057.8', 'MAP/MAP057.9': 'MAP/KORI_ALT/MAP057.9' });
		this.game.bindMapID(57, 'MAP/KORI_ALT/MAP057.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP058.GNS', { 'MAP/MAP058.8': 'MAP/KORI_ALT/MAP058.8', 'MAP/MAP058.9': 'MAP/KORI_ALT/MAP058.9' });
		this.game.bindMapID(58, 'MAP/KORI_ALT/MAP058.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP059.GNS', { 'MAP/MAP059.8': 'MAP/KORI_ALT/MAP059.8', 'MAP/MAP059.9': 'MAP/KORI_ALT/MAP059.9' });
		this.game.bindMapID(59, 'MAP/KORI_ALT/MAP059.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP060.GNS', { 'MAP/MAP060.8': 'MAP/KORI_ALT/MAP060.8', 'MAP/MAP060.9': 'MAP/KORI_ALT/MAP060.9' });
		this.game.bindMapID(60, 'MAP/KORI_ALT/MAP060.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP061.GNS', { 'MAP/MAP061.7': 'MAP/KORI_ALT/MAP061.7', 'MAP/MAP061.8': 'MAP/KORI_ALT/MAP061.8', 'MAP/MAP061.9': 'MAP/KORI_ALT/MAP061.9' });
		this.game.bindMapID(61, 'MAP/KORI_ALT/MAP061.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP063.GNS', { 'MAP/MAP063.6': 'MAP/KORI_ALT/MAP063.6', 'MAP/MAP063.7': 'MAP/KORI_ALT/MAP063.7' });
		this.game.bindMapID(63, 'MAP/KORI_ALT/MAP063.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP064.GNS', { 'MAP/MAP064.9': 'MAP/KORI_ALT/MAP064.9', 'MAP/MAP064.10': 'MAP/KORI_ALT/MAP064.10', 'MAP/MAP064.14': 'MAP/KORI_ALT/MAP064.14', 'MAP/MAP064.19': 'MAP/KORI_ALT/MAP064.19' });
		this.game.bindMapID(64, 'MAP/KORI_ALT/MAP064.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP066.GNS', { 'MAP/MAP066.7': 'MAP/KORI_ALT/MAP066.7', 'MAP/MAP066.8': 'MAP/KORI_ALT/MAP066.8' });
		this.game.bindMapID(66, 'MAP/KORI_ALT/MAP066.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP067.GNS', { 'MAP/MAP067.7': 'MAP/KORI_ALT/MAP067.7', 'MAP/MAP067.8': 'MAP/KORI_ALT/MAP067.8' });
		this.game.bindMapID(67, 'MAP/KORI_ALT/MAP067.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP069.GNS', { 'MAP/MAP069.7': 'MAP/KORI_ALT/MAP069.7', 'MAP/MAP069.8': 'MAP/KORI_ALT/MAP069.8' });
		this.game.bindMapID(69, 'MAP/KORI_ALT/MAP069.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP074.GNS', { 'MAP/MAP074.8': 'MAP/KORI_ALT/MAP074.8', 'MAP/MAP074.9': 'MAP/KORI_ALT/MAP074.9' });
		this.game.bindMapID(74, 'MAP/KORI_ALT/MAP074.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP077.GNS', { 'MAP/MAP077.8': 'MAP/KORI_ALT/MAP077.8', 'MAP/MAP077.9': 'MAP/KORI_ALT/MAP077.9' });
		this.game.bindMapID(77, 'MAP/KORI_ALT/MAP077.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP078.GNS', { 'MAP/MAP078.8': 'MAP/KORI_ALT/MAP078.8', 'MAP/MAP078.9': 'MAP/KORI_ALT/MAP078.9' });
		this.game.bindMapID(78, 'MAP/KORI_ALT/MAP078.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP079.GNS', { 'MAP/MAP079.6': 'MAP/KORI_ALT/MAP079.6', 'MAP/MAP079.7': 'MAP/KORI_ALT/MAP079.7' });
		this.game.bindMapID(79, 'MAP/KORI_ALT/MAP079.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP080.GNS', { 'MAP/MAP080.6': 'MAP/KORI_ALT/MAP080.6', 'MAP/MAP080.7': 'MAP/KORI_ALT/MAP080.7' });
		this.game.bindMapID(80, 'MAP/KORI_ALT/MAP080.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP081.GNS', { 'MAP/MAP081.6': 'MAP/KORI_ALT/MAP081.6', 'MAP/MAP081.7': 'MAP/KORI_ALT/MAP081.7' });
		this.game.bindMapID(81, 'MAP/KORI_ALT/MAP081.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP082.GNS', { 'MAP/MAP082.6': 'MAP/KORI_ALT/MAP082.6', 'MAP/MAP082.7': 'MAP/KORI_ALT/MAP082.7' });
		this.game.bindMapID(82, 'MAP/KORI_ALT/MAP082.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP083.GNS', { 'MAP/MAP083.10': 'MAP/KORI_ALT/MAP083.10', 'MAP/MAP083.8': 'MAP/KORI_ALT/MAP083.8', 'MAP/MAP083.9': 'MAP/KORI_ALT/MAP083.9' });
		this.game.bindMapID(83, 'MAP/KORI_ALT/MAP083.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP084.GNS', { 'MAP/MAP084.6': 'MAP/KORI_ALT/MAP084.6', 'MAP/MAP084.7': 'MAP/KORI_ALT/MAP084.7' });
		this.game.bindMapID(84, 'MAP/KORI_ALT/MAP084.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP085.GNS', { 'MAP/MAP085.6': 'MAP/KORI_ALT/MAP085.6', 'MAP/MAP085.7': 'MAP/KORI_ALT/MAP085.7' });
		this.game.bindMapID(85, 'MAP/KORI_ALT/MAP085.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP086.GNS', { 'MAP/MAP086.6': 'MAP/KORI_ALT/MAP086.6', 'MAP/MAP086.7': 'MAP/KORI_ALT/MAP086.7' });
		this.game.bindMapID(86, 'MAP/KORI_ALT/MAP086.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP087.GNS', { 'MAP/MAP087.8': 'MAP/KORI_ALT/MAP087.8', 'MAP/MAP087.9': 'MAP/KORI_ALT/MAP087.9' });
		this.game.bindMapID(87, 'MAP/KORI_ALT/MAP087.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP088.GNS', { 'MAP/MAP088.8': 'MAP/KORI_ALT/MAP088.8', 'MAP/MAP088.9': 'MAP/KORI_ALT/MAP088.9' });
		this.game.bindMapID(88, 'MAP/KORI_ALT/MAP088.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP089.GNS', { 'MAP/MAP089.6': 'MAP/KORI_ALT/MAP089.6', 'MAP/MAP089.7': 'MAP/KORI_ALT/MAP089.7' });
		this.game.bindMapID(89, 'MAP/KORI_ALT/MAP089.GNS');
		
		this.updateMapFiles('MAP/KORI_ALT/MAP090.GNS', { 'MAP/MAP090.6': 'MAP/KORI_ALT/MAP090.6', 'MAP/MAP090.7': 'MAP/KORI_ALT/MAP090.7' });
		this.game.bindMapID(90, 'MAP/KORI_ALT/MAP090.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP091.GNS', { 'MAP/MAP091.8': 'MAP/KORI_ALT/MAP091.8', 'MAP/MAP091.9': 'MAP/KORI_ALT/MAP091.9' });
		this.game.bindMapID(91, 'MAP/KORI_ALT/MAP091.GNS');

		this.updateMapFiles('MAP/KORI_ALT/MAP103.GNS', { 'MAP/MAP103.10': 'MAP/KORI_ALT/MAP103.10', 'MAP/MAP103.9': 'MAP/KORI_ALT/MAP103.9' });
		this.game.bindMapID(103, 'MAP/KORI_ALT/MAP103.GNS');

	}
	
};

module.exports = mod;